<?php
/* @var $modelFiles common\models\ThemeFiles */
/* @var $categoryFiles array */
?>
<?php
use yii\helpers\Html;
use yii\widgets\ActiveForm;

?>

<div class="customer-form">

    <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data'],'id' => 'dynamic-form']); ?>

    <div class="panel panel-default">
        <div class="panel-body">
            <table>
                <tr>
                    <th>File Name</th>
                    <th>Options</th>
                </tr>

                <?php foreach ($categoryFiles as $value) { ?>

                    <tr>
                        <td><?= $value['name'] ?></td>

                        <?php
                        $theme_code = $model->code;
                        $file_code = $value['code'];
                        if ($a = $modelFiles[0]::isFileExist($theme_code,$file_code)) { ?>

                            <td><?= 'edit' ?></td>

                        <?php } else { ?>

                            <td><?= $form->field($model, 'theme_file')->fileInput() ?></td>

                        <?php } ?>

                    </tr>

                <?php } ?>

            </table>

        </div>
    </div>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
